### Enumeration

# EBookContacts VCardVersion

since: 3.60

#### Declaration

    enum EBookContacts.VCardVersion

#### Description [src]

Declares vCard version.

Available since: 3.60

#### Members

`E_VCARD_VERSION_UNKNOWN`

  Unknown vCard version.

  - Value: `0`
  - Available since: 3.60
`E_VCARD_VERSION_21`

  VCard 2.1.

  - Value: `21`
  - Available since: 3.60
`E_VCARD_VERSION_30`

  VCard 3.0.

  - Value: `30`
  - Available since: 3.60
`E_VCARD_VERSION_40`

  VCard 4.0.

  - Value: `40`
  - Available since: 3.60

#### Type functions

###### e_vcard_version_from_string

Converts the `str` into one of the `EVCardVersion`. If the string does not match any of the known values the `E_VCARD_VERSION_UNKNOWN` is returned.

since: 3.60

###### e_vcard_version_to_string

Converts the `version` into its string representation. Returns `NULL`, when the `version` does not match any known value (the `E_VCARD_VERSION_UNKNOWN` corresponds to the “unknown” string).

since: 3.60